- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnGravityField Class Reference

# OpenMayaFX - API module for effects | FunctionSet classes

Search for all occurrences

## Detailed Description

Function set for Gravity Fields.

Function set for creation, edit, and query of Gravity Fields.

A gravity field simulates the Earth's gravitational force. It pulls objects in a fixed direction entirely independent of their position or mass.

`#include <MFnGravityField.h>`

Inheritance diagram for MFnGravityField:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnGravityField ()
| Destructor.
| MFnGravityField ()
| Default constructor.
| MFnGravityField (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
| MFnGravityField (const MDagPath &object, MStatus *ret=NULL)
| Constructor.
MVector | direction (MStatus *ReturnStatus=NULL) const
| Returns the direction of the gravitational force.
MStatus | setDirection (const MVector &gravityDirection)
| Sets the direction vector of the gravitational force.
| MFnGravityField (const MObject &object, MStatus *ret=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name. Search for all occurrences

## Constructor & Destructor Documentation

~MFnGravityField | ( |  | ) | `[virtual]`

Destructor.

Class destructor.

MFnGravityField | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnGravityField | ( | const MDagPath & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given constant MDagPath object.

Parameters:

  [in] | object | The const MDagPath to attach the function set to
  [out] | ReturnStatus | The return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnGravityField | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kGravity.

Reimplemented from MFnField.

MVector direction | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the direction of the gravitational force.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  A vector representing direction.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus setDirection | ( | const MVector & | gravityDirection | ) |

Search for all occurrences

Sets the direction vector of the gravitational force.

Parameters:

  [in] | gravityDirection | A vector representing direction.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MFnGravityField MFnGravityField MFnGravityField MFnGravityField MFnGravityField MFnGravityField MFnGravityField MFnGravityField MFnGravityField MFnGravityField
MFnGravityField MFnGravityField MFnGravityField MFnGravityField MFnGravityField MFnGravityField MFnGravityField MFnGravityField MFnGravityField MFnGravityField